## robocode
Class _Robot

    java.lang.Object
      robocode._Robot

Direct Known Subclasses:
  Robot

    public class _Robot

extends java.lang.Object

This class is used by the system, as well as being a placeholder for all deprecated (meaning, you should not use them) calls for Robot.

You should create a `Robot` instead.

There is no guarantee that this class will exist in future versions of Robocode.

Author:
  Mathew A. Nelson (original)
See Also:
  `Robot`

Constructor Summary
`protected` `_Robot()`

Method Summary
`int` `getBattleNum()` Deprecated. Use `getRoundNum` instead.
`double` `getGunCharge()` Deprecated. Use `getGunHeat` instead.
`java.lang.String` `getGunImageName()` Deprecated. This call is not used.
`double` `getLife()` Deprecated. Use `getEnergy` instead.
`int` `getNumBattles()` Deprecated. Use `getNumRounds` instead.
`java.lang.String` `getRadarImageName()` Deprecated. This call is not used.
`java.lang.String` `getRobotImageName()` Deprecated. This call is not used.
`void` `setGunImageName(java.lang.String newGunImageName)` Deprecated. This call is not used.
`void` `setInterruptible(boolean interruptible)` Deprecated. This call has moved to `AdvancedRobot`, and will no longer function in the Robot class.
`void` `setPeer(robocode.peer.RobotPeer peer)` This method is called by the game.
`void` `setRadarImageName(java.lang.String newRadarImageName)` Deprecated. This call is not used.
`void` `setRobotImageName(java.lang.String newRobotImageName)` Deprecated. This call is not used.
`protected void` `uninitializedException(java.lang.String methodName)` Throws a RobotException.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _Robot

    protected _Robot()

Method Detail

### setPeer

    public final void setPeer(robocode.peer.RobotPeer peer)

  This method is called by the game. RobotPeer is the object that deals with game mechanics and rules, and makes sure your robot abides by them. Do not call this method! Your robot will simply stop interacting with the game.

### uninitializedException

    protected void uninitializedException(java.lang.String methodName)

  Throws a RobotException. This method should be called when the robot's peer is uninitialized.

  Parameters:
    `methodName` - the name of the method that failed

### getGunCharge

    @Deprecated
    public double getGunCharge()

  Deprecated. Use `getGunHeat` instead.

### getLife

    @Deprecated
    public double getLife()

  Deprecated. Use `getEnergy` instead.

### getNumBattles

    @Deprecated
    public int getNumBattles()

  Deprecated. Use `getNumRounds` instead.

### getBattleNum

    @Deprecated
    public int getBattleNum()

  Deprecated. Use `getRoundNum` instead.

### setInterruptible

    @Deprecated
    public void setInterruptible(boolean interruptible)

  Deprecated. This call has moved to `AdvancedRobot`, and will no longer function in the Robot class.

### getGunImageName

    @Deprecated
    public java.lang.String getGunImageName()

  Deprecated. This call is not used.

### setGunImageName

    @Deprecated
    public void setGunImageName(java.lang.String newGunImageName)

  Deprecated. This call is not used.

### setRadarImageName

    @Deprecated
    public void setRadarImageName(java.lang.String newRadarImageName)

  Deprecated. This call is not used.

### setRobotImageName

    @Deprecated
    public void setRobotImageName(java.lang.String newRobotImageName)

  Deprecated. This call is not used.

### getRadarImageName

    @Deprecated
    public java.lang.String getRadarImageName()

  Deprecated. This call is not used.

### getRobotImageName

    @Deprecated
    public java.lang.String getRobotImageName()

  Deprecated. This call is not used.